# Social Auth Battle.net

Social Auth Battle.net is a Battle.net authentication integration for Drupal. Is is based on the Social Auth and Social API projects.

It adds the following to the site:

- A new url: `/user/login/bnet`, which redirects the user to Battle.net for authentication.
- A settings form at `/admin/config/social-api/social-auth/bnet` to set up the Battle.net API keys.
- A Battle.net logo in the Social Auth Login block.

For a full description of the module, visit the [project page](https://www.drupal.org/project/social_auth_bnet).

## Requirements

This module requires the following modules:

- [Social Auth](https://www.drupal.org/project/social_auth)
- [Social API](https://www.drupal.org/project/social_api)

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

**In Drupal:**

1. Log in as an admin.
2. Navigate to Configuration » User authentication » Battle.net and copy
   the Authorized redirect URI field value (the URL should end in
   `/user/login/bnet/callback`).

**In Battle.net:**

3. Log in to the [Battle.net Developer Portal](https://develop.battle.net/).
4. Navigate to the "API Access" page.
5. Click "Create Client"
6. Set the "Client Name", "Service URL", and "Intended Use" (optional).
7. Paste the redirect URI value (from Step 2) in the "Redirect URL" field.
8. Click "Save".
9. On the new client page click "Generate New Secret".
10. Copy the new client secret and client ID and save them somewhere safe.

**Back In Drupal:**

11. Return to Configuration » User authentication » Battle.net
12. Enter the Battle.net client ID in the "Client ID" field.
13. Enter the Battle.net secret key in the "Client secret" field.
14. Click Save configuration.
15. Navigate to Structure » Block Layout and place a Social Auth login block
    somewhere on the site (if not already placed).

That's it! Log in with a Battle.net account to test the implementation.

## How it works

The user can click on the Battle.net logo in the Social Auth Login block. You can also add a button or link anywhere on the site that points to `/user/login/bnet`, so theming and customizing the button or link is very flexible.

After Battle.net has returned the user to your site, the module compares the
user id or battle tag provided by Battle.net. If the user has previously
registered using Battle.net or your site already has an account with the same
battle tag, the user is logged in. If not, a new user account is created.
Also, a Battle.net account can be associated with an authenticated user.
