<?php

namespace Drupal\social_auth_bnet\Plugin\Network;

use Drupal\social_auth\Plugin\Network\NetworkBase;
use Drupal\social_auth\Plugin\Network\NetworkInterface;

/**
 * Defines a Network Plugin for Social Auth Battle.net.
 *
 * @package Drupal\social_auth_bnet\Plugin\Network
 *
 * @Network(
 *   id = "social_auth_bnet",
 *   short_name = "bnet",
 *   social_network = "Battle.net",
 *   img_path = "img/bnet_logo.svg",
 *   type = "social_auth",
 *   class_name = "\Nickdjm\OAuth2\Client\Provider\Bnet",
 *   auth_manager = "\Drupal\social_auth_bnet\BnetAuthManager",
 *   routes = {
 *     "redirect": "social_auth.network.redirect",
 *     "callback": "social_auth.network.callback",
 *     "settings_form": "social_auth.network.settings_form",
 *   },
 *   handlers = {
 *     "settings": {
 *       "class": "\Drupal\social_auth\Settings\SettingsBase",
 *       "config_id": "social_auth_bnet.settings"
 *     }
 *   }
 * )
 */
class BnetAuth extends NetworkBase implements NetworkInterface {
}
